### Method

# Gtk IconViewset_model

deprecated: 4.10

#### Declaration [src]

    void
    gtk_icon_view_set_model (
      GtkIconView* icon_view,
      GtkTreeModel* model
    )

#### Description [src]

Sets the model for a `GtkIconView`. If the `icon_view` already has a model set, it will remove it before setting the new model. If `model` is `NULL`, then it will unset the old model.

Deprecated since: 4.10

Use `GtkGridView` instead.

Sets property | `Gtk.IconView:model`

#### Parameters

`model`

  Type: `GtkTreeModel`

  The model.

  The argument can be `NULL`.
  The data is owned by the caller of the method.